html, body {
    padding: 0;
    margin: auto;
    color: #202020;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    background: url(/images/table.jpg);
    background-color: rgba(255,255,255,0.8);
    background-blend-mode: lighten;	
	background-size: cover;
	background-repeat: no-repeat;

    font-size: 20px;
}

.background {
    background: url(/images/table.jpg);
    background: #f7f7f7;
	background-size: cover;
	background-repeat: no-repeat;
}

.form {
	width: 600px; 
	margin: 0 auto; 
	font-size: 20px;
}

.viewform {
	width: 1500px; 
	margin: 0 auto;
	margin-top: 15px;
}

.edit {
	font-size: 20px;
}

.edituser {
	font-size: 20px;
	padding: 10px;
	marging: 10px;
}

.locationselect {
	font-size: 20px;
}

label.checkbox {
	font-size: 22px; 
	padding: 5px;
	margin-right: 20px;
	border-radius: 2px;
	border: 1px solid; 
}
textarea {
	padding: 5px;
	font-size: 16px; 
}

select {
	width: 110px;
    height: 30px;
	font-size: 20px; 
}

input[type='text'], input[type='email'], input[type='password'] {
	width: 400px; 
	border-radius: 2px;
	border: 1px solid #CCC; 
	padding: 2px; 
	color: #333; 
	font-size: 20px; 
	margin-top: 2px;
}

input[type='checkbox'] {
	width: 18px;
    height: 20px;
}

input[type='time'] {
	width: 110px;
    height: 30px;
	font-size: 20px; 
}

input[type='submit']{
	padding: 5px 5px 2px; 
	color: #fff; 
	background-color: #0067ab; 
	text-shadow: rgba(0,0,0,0.24) 0 1px 0; 
	font-size: 20px; 
	box-shadow: rgba(255,255,255,0.24) 0 2px 0 0 inset,#fff 0 1px 0 0; 
	border: 1px solid #0164a5; 
	border-radius: 2px; 
	margin-top: 2px; 
	cursor:pointer;
}
input[type='submit']:hover {
	background-color: #024978;
}

.pure-img-responsive {
    max-width: 100%;
    height: auto;
}

p {
    margin-bottom: 15px;
    margin-top: 0;
}
.box > p:last-child {
    margin-bottom: 0;
}

/**
 * Links
 */
a:link {
    color: rgb(0, 0, 238);
    text-decoration-color: #bbbbff;
}
a:link:hover {
    text-decoration-color: rgb(0, 0, 238);;
}

a:visited {
    color: rgb(78, 33, 134);
    text-decoration-color: #d0b8ee;
}
a:visited:hover {
    text-decoration-color: rgb(78, 33, 134);
}

a:active, a:active:hover{
    color: rgb(238, 0, 0);
    text-decoration-color: #ffbbbb;
}

/*
 * Layout
 */

.layout,
.menu,
.hamburger {
    -webkit-transition: all 0.2s ease-out;
    -moz-transition: all 0.2s ease-out;
    -ms-transition: all 0.2s ease-out;
    -o-transition: all 0.2s ease-out;
    transition: all 0.2s ease-out;
}

.layout {
    position: relative;
    left: 0;
    padding-left: 0;
}

.layout.active .menu {
    left: 170px;
    width: 170px;
}

.layout.active .hamburger {
    left: 170px;
}

.header {
    margin: 0;
    padding: .5em;
    color: black;
    height: 1.9em;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}
.header svg {
    float: left;
    margin-right: 0.6em;
    height: 1.9em;
    width: 1.9em;
    fill: #1A7CBD;
}
.header svg use {
    height: 1.9em;
    width: 1.9em;
}
.header h1 {
    margin: 0;
    padding: 0;
    font-size: 1.7em;
    font-weight: 300;
    color: #5c5c5c;
}

.hamburger {
    position: fixed;
    display: block;
    top: 0;
    left: 0;
    z-index: 10;
    height: 1.9em;
    width: 1.9em;
    padding: 0.5em;
    border-right: 1px solid rgba(0, 0, 0, 0.1);
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    background: #f7f7f7;
}

.hamburger svg {
    float: left;
    height: 1.9em;
    width: 1.9em;
    fill: #5c5c5c;
}

.footer {
    font-size: small;
    text-align: right;
    margin-right: 0.8em;
    padding-bottom: 0.8em;
}

/*
 * Menu
 */

.menu {
    margin-left: -170px;
    width: 170px;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    z-index: 1000;
    background: #5c5c5c;
    overflow-y: auto;
}
.menu a {
    color: #ffffff;
    border: none;
    padding: 0.6em 0 0.6em 0.6em;
}

.menu .pure-menu,
.menu .pure-menu ul {
    border: none;
    background: transparent;
}
.menu .pure-menu li a:hover,
.menu .pure-menu li a:focus {
    background: #424242;
}
.menu .pure-menu li a:active {
    background: #383838;
    color: white;
}
.menu .pure-menu-selected {
    background: #757575;
}
.menu .pure-menu-selected a {
    color: #fff;
}
.pure-menu-heading {
    color: rgba(255, 255, 255, 0.8);
    font-size: smaller;
}
.menu .title {
    background: #1A7CBD;
    font-size: 120%;
    color: #fff;
    margin: 0;
    text-transform: none;
}
.menu .title:active {
    color: #d3d3d3;
}

.menu .language {
    margin: 0.6em 0 0.6em 0.6em;
    border: 0;
    width: 9em;
    box-shadow: none;
}

/*
 * Menu Responsive styles
 */

@media (min-width: 41em) {

    .layout {
        padding-left: 170px;
        left: 0;
    }
    .menu {
        left: 170px;
    }

    .hamburger {
        position: static;
        left: 170px;
        display: none;
    }

    .layout.active .hamburger {
        left: 170px;
    }
}

@media (max-width: 41em) {

    .header {
        padding-left: 3.8em;
    }
    .header .page-icon {
        float: right;
    }
    .layout.active {
        position: relative;
        left: 170px;
    }
}

/**
 * Misc.
 */

.color-area {
    height: 40px;
    width: 100%;
    background: gray;
    margin-bottom: 15px;
    margin-top: 10px;
    box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0.3);
}

.pure-g.colors > div {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
.pure-g.colors > div{
    padding: 0.3em;
}

.pure-g.colors button {
    width: 100%;
    height: 40px;
    box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0.3);
}

/**
 * Forms / Radio
 */

label.pure-radio {
    padding: 5px;
    display: inline-block;
}

label.pure-radio input[type="radio"] {
    margin-top: -14px;
    display: inline-block;
}

/**
 * Settings
 */

@media only screen and (max-width: 480px) {
    .pure-form-aligned input, .pure-form-aligned select, .pure-form-aligned textarea, .pure-form-message-inline {
        width: 100%;
    }
}

/**
 * Box
 */

.box {
    padding: 1em;
    margin: 0.8em;
    box-shadow: 0 1px 1px 0 rgba(60, 64, 67, .08),0 1px 3px 1px rgba(60,64,67,.16);
    background: #fff;
    border-radius: 0.4em;
    text-align: justify;
    hyphens: auto;
}

.box h2 {
    margin-top: -5px;
    border-bottom: 1px solid #f0f0f0;
    padding-bottom: 0.6em;
    margin-left: -1em;
    margin-right: -1em;
    padding-right: 1em;
    padding-left: 1em;
    font-weight: normal;
    font-size: 1.1em;
}

.color-picker {
	width: 300px;
	margin: auto;
}

.pure-button {
    background-color: #1A7CBD;
    border-radius: 2em;
    color: white;
}

.pure-form input[readonly],
.pure-form select[readonly],
.pure-form textarea[readonly] {
    background-color: #E8E8E8;
    color: #666666;
    border-color: #ccc;
}

.pure-control-group-switch label {
    text-align: right;
    display: inline-block;
    vertical-align: middle;
    margin: 0 1em 0;
}

.radio-wrapper {
    white-space: nowrap;
}

/*
 * Switch
 */
.pure-form-aligned .pure-control-group label.switch {
    width: 60px;
}
.switch {
    position: relative;
    display: inline-block;
    height: 34px;
}

/* Hide default HTML checkbox */
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

input:checked + .slider {
    background-color: #1f8dd6;
}

input:focus + .slider {
    box-shadow: 0 0 1px #1f8dd6;
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}

.IroWheelBorder, .IroSliderGradient {
    box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0.5) !important;
    border: none !important;
}

.swatch-grid {
    display: grid;
    grid-template-columns: repeat(4, 68px);
    grid-template-rows: repeat(2, 50px);
    grid-gap: 10px;
    margin-top: 1em;
    margin-bottom: 1em;
    justify-content: center;
}

.swatch {
    box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0.5);
    border-radius: 4px;
    cursor: pointer;
}

/**
 * Sections
 */

.section-main {
    display: block;
}

.box-color {
    text-align: center;
}

.box-debug {
    overflow: hidden;
    overflow-wrap: break-word;
}

.box-debug > div{
    font-family: monospace;
}

.brightness, .speed, .functions-settings, .leds, .position {
    display: none;
}
